-- Author: Mcfli
-- email: mcfli818@gmail.com

-- spellID for "Selfless Healer" buff:
local SELFLESS_ID = 114250

-- Get the localized spell name and store it in a variable:
local SELFLESS = GetSpellInfo(SELFLESS_ID)

-- Create a frame to listen for events:
local f = CreateFrame("Frame")

-- Tell the frame to listen for the UNIT_AURA event
-- only when it fires for the player unit:
f:RegisterUnitEvent("UNIT_AURA", "player")

f:SetScript("OnEvent", function()
	-- Get information about the Selfless Healer buff on the player:
	local name, _, _, count = UnitBuff("player", SELFLESS)
	-- Does the player have the buff and one stack?
	if name and count > 2 then
		-- Yes they do! Show the low opacity overlay.
		SpellActivationOverlay_ShowOverlay(SpellActivationOverlayFrame, SELFLESS_ID, "Interface\\Addons\\Selfless_Healer\\Aura\\Aura", "TOP", 1, 255, 255, 255, false, false)
	else
		-- No, they don't. Hide the overlay.
		SpellActivationOverlay_HideOverlays(SpellActivationOverlayFrame, SELFLESS_ID)
	end
end)